## ros-foxy-rcl-logging-spdlog 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_logging_spdlog)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(spdlog_vendor REQUIRED) # Provides spdlog 1.3.1 on platforms without it.
find_package(spdlog REQUIRED)
find_package(rcpputils REQUIRED)

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

add_library(${PROJECT_NAME} src/rcl_logging_spdlog.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
target_link_libraries(${PROJECT_NAME} spdlog::spdlog)

ament_target_dependencies(${PROJECT_NAME}
  rcutils
  spdlog
  rcpputils
)

target_compile_definitions(${PROJECT_NAME} PRIVATE "RCL_LOGGING_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  find_package(ament_cmake_gtest REQUIRED)
  find_package(rcpputils REQUIRED)
  ament_add_gtest(test_logging_interface test/test_logging_interface.cpp)
  if(TARGET test_logging_interface)
    target_link_libraries(test_logging_interface ${PROJECT_NAME})
    target_compile_definitions(test_logging_interface PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
    ament_target_dependencies(test_logging_interface rcpputils)
  endif()
  add_performance_test(benchmark_logging_interface test/benchmark/benchmark_logging_interface.cpp)
  if(TARGET benchmark_logging_interface)
    target_link_libraries(benchmark_logging_interface ${PROJECT_NAME})
  endif()
endif()

ament_export_include_directories(include)
ament_export_dependencies(ament_cmake rcutils spdlog_vendor spdlog)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-foxy-rcl-logging-spdlog (1.1.0-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#74 <https://github.com/ros2/rcl_logging/issues/74>)
  * Allow configuring logging directory through environment variables (#70 <https://github.com/ros2/rcl_logging/issues/70>)
  * Fix build.ros2.org links (#68 <https://github.com/ros2/rcl_logging/issues/68>)
  * Update QD to QL 1 (#67 <https://github.com/ros2/rcl_logging/issues/67>)
  * Fixed backported tests on rcl_logging_spdlog
  * Add fault injection unittest to increase coverage (#49 <https://github.com/ros2/rcl_logging/issues/49>)
  * More rcl_logging_spdlog tests (#40 <https://github.com/ros2/rcl_logging/issues/40>)
  * Added benchmark test to rcl_logging_spdlog (#52 <https://github.com/ros2/rcl_logging/issues/52>)
  * Contributors: Alejandro Hernández Cordero, Scott K Logan, Simon Honigmann, Stephen Brawner, Tom Greier

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (1.0.1-1focal) focal; urgency=high

  * Include rcutils/allocator.h in logging_interface.h (#47 <https://github.com/ros2/rcl_logging/issues/47>)
  * Added Doxyfile and fixed related warnings (#42 <https://github.com/ros2/rcl_logging/issues/42>) (#46 <https://github.com/ros2/rcl_logging/issues/46>)
  * Add Security Vulnerability Policy pointing to REP-2006.
  * Rename Quality_Declaration.md -> QUALITY_DECLARATION.md
  * Contributors: Chris Lalancette, Jacob Perron, Jose Luis Rivero

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Jul 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (1.0.0-1focal) focal; urgency=high

  * Add some preliminary functional tests (#36 <https://github.com/ros2/rcl_logging/issues/36>)
  * warn about unused return value for set_logger_level (#38 <https://github.com/ros2/rcl_logging/issues/38>)
  * Added features to rcl_logging_spdlog (#35 <https://github.com/ros2/rcl_logging/issues/35>)
  * Added public API documentation for log4cxx and spdlog (#32 <https://github.com/ros2/rcl_logging/issues/32>)
  * Current state Quality Declaration, Contributing and Readme files (#29 <https://github.com/ros2/rcl_logging/issues/29>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.4.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#31 <https://github.com/ros2/rcl_logging/issues/31>)
  * Make spdlog an exec_depend (#27 <https://github.com/ros2/rcl_logging/issues/27>)
  * Code style only: wrap after open parenthesis if not in one line (#24 <https://github.com/ros2/rcl_logging/issues/24>)
  * Bypass spdlog singleton registry (#23 <https://github.com/ros2/rcl_logging/issues/23>)
  * Contributors: Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.3-1focal) focal; urgency=high

  * Fix Clang warning about possible uninitialized variable (#21 <https://github.com/ros2/rcl_logging/issues/21>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.2-1focal) focal; urgency=high

  * spdlog is a header-only library, so the exported dep isn't needed. (#19 <https://github.com/ros2/rcl_logging/issues/19>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.1-1focal) focal; urgency=high

  * Implement a backend logger using spdlog. (#17 <https://github.com/ros2/rcl_logging/issues/17>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 09 Mar 2019 08:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.1.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-foxy-rcl-logging-spdlog
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libspdlog-dev, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-performance-test-fixture, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-spdlog-vendor, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-logging-spdlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspdlog-dev, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-spdlog-vendor, ros-foxy-ros-workspace
Description: Implementation of rcl_logging API for an spdlog backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rcl-logging-spdlog//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
